# synfig::ValueNode_RealString Class Reference

`#include <valuenode_realstring.h>`

Inheritance diagram for synfig::ValueNode_RealString:

List of all members.

## Public Types

typedef etl::handle < ValueNode_RealString > | Handle
typedef etl::handle< const ValueNode_RealString > | ConstHandle

## Public Member Functions

virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual | ~ValueNode_RealString ()
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_name (int i) const
virtual String | link_local_name (int i) const
virtual int | get_link_index_from_name (const String &name) const

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_RealString * | create (const ValueBase &x)

## Protected Member Functions

LinkableValueNode * | create_new () const
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)

## Member Typedef Documentation

typedef etl::handle<ValueNode_RealString> synfig::ValueNode_RealString::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_RealString> synfig::ValueNode_RealString::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

ValueNode_RealString::~ValueNode_RealString | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

ValueBase ValueNode_RealString::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References synfig::ValueNode::get_type(), and synfig::ValueBase::TYPE_STRING.

String ValueNode_RealString::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_RealString::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

ValueNode::LooseHandle ValueNode_RealString::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_RealString::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_RealString::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

String ValueNode_RealString::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

int ValueNode_RealString::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

LinkableValueNode * ValueNode_RealString::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type().

bool ValueNode_RealString::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, link_count(), synfig::ValueBase::TYPE_BOOL, synfig::ValueBase::TYPE_INTEGER, and synfig::ValueBase::TYPE_REAL.

bool ValueNode_RealString::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_STRING.

ValueNode_RealString * ValueNode_RealString::create | ( | const ValueBase & | x | ) | `[static]`

The documentation for this class was generated from the following files:

- valuenode_realstring.h
- valuenode_realstring.cpp